This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534758 - (RHQ-1523) Create more realistic perf test scenario [NEEDINFO]
Create more realistic perf test scenario
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Performance (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Task
Depends On:
Blocks: jon24-perf rhq-perf
  Show dependency treegraph
 
Reported: 2009-02-10 15:14 EST by Charles Crouch
Modified: 2015-02-01 18:25 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 17:14:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwelton: needinfo? (jmarques)


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2009-02-10 15:14:00 EST
(1:24:33 PM) ghinkle: do you have any doco on setting up a perftest plugin config that gives me a reasonable similarity to an app server?
(1:25:23 PM) ccrouch: lemme dig out my notes
(1:31:06 PM) ccrouch: EAP4.3: 2 servers, 42 services, 10metrics/min
(1:31:06 PM) ccrouch: RHQ: 3servers (including VM), 208 services, 69metrics/min
(1:31:06 PM) ccrouch: -Don.perftest.server-d-count=3 -Don.perftest.service-d-metrics-count=120
(1:31:06 PM) ccrouch: gives 3servers at 120services each, with a collection interval of 5mins
(1:31:06 PM) ccrouch: gives 360 services @5mins == 72metrics/mins
(1:32:06 PM) ccrouch: so long story short I use 
(1:32:06 PM) ccrouch: "-Don.perftest.scenario=configurable-5 -Don.perftest.server-d-count=3 -Don.perftest.service-d-metrics-count=120 -Drhq.trace-command-config=true"
(1:32:50 PM) ccrouch: produces a few too many services but i think should be reasonable representative
(1:32:58 PM) ghinkle: and that equals about 3  app servers?
(1:33:28 PM) ccrouch: no, thats just one "app server" which equates to 3 of our servers
(1:33:34 PM) ccrouch: jbas, tomcat, vm
(1:34:45 PM) ghinkle: seems like a lot too many servicdes
(1:35:23 PM) ccrouch: its 1.8times as many as RHQ, but I wanted to get the metrics/min up
(1:35:52 PM) ccrouch: i'm running half the environment with 120services per server and half with 12 right now
(1:39:24 PM) ghinkle: I'd like to set aside some time to get a more accurate config
(1:39:37 PM) ghinkle: something with subcategories... and different types of children
(1:41:54 PM) ccrouch: ok i'll raise a jira, and we can talk about it when you get back
(1:41:54 PM) ccrouch: which things are you looking to exercise in particular? or is this aimed at being "more realistic" ?
(2:03:33 PM) ghinkle: yea, more realistic on all fronts
(2:03:51 PM) ghinkle: so we can test performance in the ui for cluster groups especially :)
Comment 1 Red Hat Bugzilla 2009-11-10 15:34:53 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1523
Comment 2 Corey Welton 2010-08-30 13:25:12 EDT
Joseph, need explanation per triage as to why this should be closed.
Comment 3 Jay Shaughnessy 2014-05-02 17:14:13 EDT
We're wayyyy past this.

Note You need to log in before you can comment on or make changes to this bug.